Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version Class Reference

Version value object visitor. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version:

## Public Member Functions
| __construct (FieldTypeSerializer $fieldTypeSerializer)
| visit (Visitor $visitor, Generator $generator, $data)
| Visit struct returned by controllers. More...
| visitField (Generator $generator, ContentType $contentType, Field $field)
| Visits a single content field and generates its content. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| setRouter (RouterInterface $router)
| setTemplateRouter (RouterInterface $templateRouter)
| setRequestParser (RequestParser $requestParser)

## Protected Member Functions
| visitVersionAttributes (Visitor $visitor, Generator $generator, VersionValue $data)
Protected Member Functions inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| serializeBool (Generator $generator, $boolValue)
| Returns a string representation for the given $boolValue. More...
| visitNamesList (Generator $generator, array $names)
| Visits the given list of $names. More...
| visitDescriptionsList (Generator $generator, array $descriptions)
| Visits the given list of $descriptions. More...
| visitTranslatedList (Generator $generator, array $translatedElements, $listName)
| Visits a list of translated elements. More...
| visitLimitation (Generator $generator, Limitation $limitation)
| Visits a limitation. More...
| serializeSortField ($sortField)
| Serializes the given $sortField to a string representation. More...
| serializeSortOrder ($sortOrder)
| Serializes the given $sortOrder to a string representation. More...

## Protected Attributes
| $fieldTypeSerializer
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor
| $requestParser
| $router
| $templateRouter

## Detailed Description

Version value object visitor.

Definition at line 21 of file Core/REST/Server/Output/ValueObjectVisitor/Version.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version::__construct | ( | FieldTypeSerializer | $fieldTypeSerializer | ) |

Parameters

  \eZ\Publish\Core\REST\Common\Output\FieldTypeSerializer | $fieldTypeSerializer |

Definition at line 29 of file Core/REST/Server/Output/ValueObjectVisitor/Version.php.

References eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version\$fieldTypeSerializer.

## Member Function Documentation

## ◆ visit()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version::visit | ( | Visitor | $visitor,
|  | Generator | $generator,
|  |  | $data
| ) |  |

Visit struct returned by controllers.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Visitor | $visitor |
  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  \eZ\Publish\Core\REST\Server\Values\Version | $data |

Reimplemented from eZ\Publish\Core\REST\Common\Output\ValueObjectVisitor.

Reimplemented in eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\CreatedVersion.

Definition at line 41 of file Core/REST/Server/Output/ValueObjectVisitor/Version.php.

References eZ\Publish\Core\REST\Common\Output\Visitor\setHeader(), and eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version\visitVersionAttributes().

## ◆ visitField()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version::visitField | ( | Generator | $generator,
|  | ContentType | $contentType,
|  | Field | $field
| ) |  |

Visits a single content field and generates its content.

Parameters

  \eZ\Publish\Core\REST\Common\Output\Generator | $generator |
  \eZ\Publish\API\Repository\Values\ContentType\ContentType | $contentType |
  \eZ\Publish\API\Repository\Values\Content\Field | $field |

Definition at line 58 of file Core/REST/Server/Output/ValueObjectVisitor/Version.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version\visitVersionAttributes().

## ◆ visitVersionAttributes()

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version::visitVersionAttributes | ( | Visitor | $visitor,
|  | Generator | $generator,
|  | VersionValue | $data
| ) |  |
| protected

Definition at line 83 of file Core/REST/Server/Output/ValueObjectVisitor/Version.php.

References eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version\visitField(), and eZ\Publish\Core\REST\Common\Output\Visitor\visitValueObject().

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version\visit().

## Member Data Documentation

## ◆ $fieldTypeSerializer

eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version::$fieldTypeSerializer
| protected

Definition at line 24 of file Core/REST/Server/Output/ValueObjectVisitor/Version.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\Version\__construct().

The documentation for this class was generated from the following file:

- Core/REST/Server/Output/ValueObjectVisitor/Version.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.